<?php
#----------------------------------------------------------#
# 打撃練習
#----------------------------------------------------------#
function game_prbtR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title('game');
#--------------------------------------#
# 投手&野手のIDチェック
#--------------------------------------#
$pr_pc=$Q[pc];$pr_bt=$Q[bt];
$GM[PC]=read_data('player_card',$pr_pc);
$GM[BT]=read_data('player_card',$pr_bt);
if($_COOKIE[id]!=$GM[PC][player_id]&&$_COOKIE[id]!=$GM[BT][player_id]){
	error("not collect 'pc_id' and 'bt_id'");
}
#--------------------------------------#
# ランダムの場合
#--------------------------------------#
if(!$pr_pc){
	$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
	while ($CD=mysql_fetch_assoc($sql)){
		if($CD[1]=='P'){
			$PCD=read_dataL('card_res_ppp',$CD[id]);
			if(!$PCD[1]){
				$pr_pc=$CD[id];
				break;
			}
		}
	}
	if(!$pr_pc){error("全ての投手の練習が終了しました");}
}
if(!$pr_bt){
	$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
	while ($CD=mysql_fetch_assoc($sql)){
		if($CD[1]=='B'){
			$BTD=read_dataL('card_res_bpp',$CD[id]);
			if(!$BTD[1]){
				$pr_bt=$CD[id];
				break;
			}
		}
	}
	if(!$pr_bt){error("全ての打者の練習が終了しました");}
}
#--------------------------------------#
# 試合
#--------------------------------------#
if(!$PL[7]){
	$html_game.="試合登録がされていません。<br>";
}elseif($pr_pc&&$pr_bt){
	read_file('./r/game_program.php');
	$html_game.=game_program($pr_pc,$pr_bt,'pract!bt');
	#--------------------------------------#
	# 練習続き
	#--------------------------------------#
	$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
	while ($CD=mysql_fetch_assoc($sql)){
		$CD=ch_growth($CD);
		#投手表示
		if($CD[1] == 'P'){
			if($CD[id]==$Q[pc]){
				$html_prbt_pc.="<option value='$CD[id]' selected>[現]";
			}else{
				$html_prbt_pc.="<option value='$CD[id]'>";
			}
			$html_prbt_pc.="$CD[0]&nbsp;$CD[2]&nbsp;".ch_st($CD[21],1).ch_st($CD[22],1).ch_st($CD[23],1)."&nbsp;";
			if($CD[2]=='R'){
				if($CD[24]>0){$html_prbt_pc.="←".ch_st($CD[24],1);}
				if($CD[25]>0){$html_prbt_pc.="／".ch_st($CD[25],1);}
				if($CD[26]>0){$html_prbt_pc.="↓".ch_st($CD[26],1);}
				if($CD[27]>0){$html_prbt_pc.="＼".ch_st($CD[27],1);}
				if($CD[28]>0){$html_prbt_pc.="→".ch_st($CD[28],1);}
			}elseif($CD[2]=='L'){
				if($CD[28]>0){$html_prbt_pc.="←".ch_st($CD[28],1);}
				if($CD[27]>0){$html_prbt_pc.="／".ch_st($CD[27],1);}
				if($CD[26]>0){$html_prbt_pc.="↓".ch_st($CD[26],1);}
				if($CD[25]>0){$html_prbt_pc.="＼".ch_st($CD[25],1);}
				if($CD[24]>0){$html_prbt_pc.="→".ch_st($CD[24],1);}
			}
			$html_prbt_pc.="\n";
		}
		#打者表示
		if($CD[id]==$Q[bt]){
			$html_prbt_bt="<option value='$CD[id]' selected>[現]";
		}else{
			$html_prbt_bt="<option value='$CD[id]'>";
		}
		$html_prbt_bt.="$CD[0]($CD[1])&nbsp;$CD[2]$CD[3]&nbsp;".ch_st($CD[11],1).ch_st($CD[12],1).ch_st($CD[13],1).ch_st($CD[14],1).ch_st($CD[15],1).ch_st($CD[16],1).ch_st($CD[17],1)."\n";
		if($CD[1] == 'P'){
			$html_prbt_btp.=$html_prbt_bt;
		}else{
			$html_prbt_btb.=$html_prbt_bt;
		}
	}
	#表示
	$html_prbt_b='';
	if($html_prbt_pc&&($html_prbt_btp||$html_prbt_btb)){
		$html_prbt_b="<input type=submit value='打撃練習開始'>";
	}
	if($html_prbt_pc){
		$html_prbt_pc="<select name='pc'><option value=''>ランダム\n$html_prbt_pc</select>";
	}else{
		$html_prbt_pc="投手カードが存在しません";
	}
	if(($html_prbt_btp||$html_prbt_btb)){
		$html_prbt_bt="<select name='bt'><option value=''>ランダム\n$html_prbt_btb$html_prbt_btp</select>";
	}else{
		$html_prbt_bt="打者カードが存在しません";
	}
$html_game.=<<<EOF
<br><table align=center><form method=POST action="$SET[path_index]"><tr><td>
$html_prbt_pc &nbsp;vs&nbsp;$html_prbt_bt$html_prbt_b<br>
<a href='$SET[path_index]?r=team_result_pcpp' target='_blank'>チーム個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_btpp' target='_blank'>チーム個人成績(野手)</a><br>
</td></tr>
<input type=hidden name=r value="game_prbt">
<input type=hidden name=time value=$html_time></form></table>
EOF;
}else{
	$html_game.="データ設定に異常があります<br>";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>打撃練習</b>(<a href="$SET[path_index]?r=team_game">戻る</a>)
<div style="text-align:center;margin:auto;">
$html_game
<input type=button value="試合準備に戻る" onclick="location.href='$SET[path_index]?r=team_game';" style="padding:7px 12px 7px 12px;font-size:20px;">
</div>
<a href="$SET[path_index]?r=team_game">戻る</a>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>